import { Property } from '../proxy';
import { Expectation, ReturnValue } from './expectation';
import { Matcher } from './matcher';
/**
 * Matches a call with more parameters than expected because it is assumed the
 * compiler will check that those parameters are optional.
 *
 * @example
 * new StrongExpectation(
 *   'bar',
 *   deepEquals([1, 2, 3]),
 *   23
 * ).matches('bar', [1, 2, 3]) === true;
 */
export declare class StrongExpectation implements Expectation {
    property: Property;
    args: Matcher[] | undefined;
    returnValue: ReturnValue;
    private matched;
    min: number;
    max: number;
    constructor(property: Property, args: Matcher[] | undefined, returnValue: ReturnValue);
    setInvocationCount(min: number, max?: number): void;
    matches(args: any[] | undefined): boolean;
    isUnmet(): boolean;
    private matchesArgs;
    toJSON(): string;
}
