import { Expectation, ReturnValue } from '../expectation/expectation';
import { ExpectationRepository } from '../expectation/repository/expectation-repository';
import { Property } from '../proxy';
export declare type ExpectationFactory = (property: Property, args: any[] | undefined, returnValue: ReturnValue) => Expectation;
export interface PendingExpectation {
    start(repo: ExpectationRepository): void;
    finish(returnValue: ReturnValue): Expectation;
    clear(): void;
    property: Property;
    args: any[] | undefined;
    /**
     * Used by `pretty-format`.
     */
    toJSON(): string;
}
export declare class RepoSideEffectPendingExpectation implements PendingExpectation {
    private createExpectation;
    private _repo;
    private _args;
    private _property;
    constructor(createExpectation: ExpectationFactory);
    start(repo: ExpectationRepository): void;
    set property(value: Property);
    set args(value: any[] | undefined);
    finish(returnValue: ReturnValue): Expectation;
    clear(): void;
    toJSON(): string;
}
